missing header
[scilab.git] / scilab / modules / localization / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = { \
46   if test -z '$(MAKELEVEL)'; then \
47     false; \
48   elif test -n '$(MAKE_HOST)'; then \
49     true; \
50   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
51     true; \
52   else \
53     false; \
54   fi; \
55 }
56 am__make_running_with_option = \
57   case $${target_option-} in \
58       ?) ;; \
59       *) echo "am__make_running_with_option: internal error: invalid" \
60               "target option '$${target_option-}' specified" >&2; \
61          exit 1;; \
62   esac; \
63   has_opt=no; \
64   sane_makeflags=$$MAKEFLAGS; \
65   if $(am__is_gnu_make); then \
66     sane_makeflags=$$MFLAGS; \
67   else \
68     case $$MAKEFLAGS in \
69       *\\[\ \   ]*) \
70         bs=\\; \
71         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
72           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
73     esac; \
74   fi; \
75   skip_next=no; \
76   strip_trailopt () \
77   { \
78     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
79   }; \
80   for flg in $$sane_makeflags; do \
81     test $$skip_next = yes && { skip_next=no; continue; }; \
82     case $$flg in \
83       *=*|--*) continue;; \
84         -*I) strip_trailopt 'I'; skip_next=yes;; \
85       -*I?*) strip_trailopt 'I';; \
86         -*O) strip_trailopt 'O'; skip_next=yes;; \
87       -*O?*) strip_trailopt 'O';; \
88         -*l) strip_trailopt 'l'; skip_next=yes;; \
89       -*l?*) strip_trailopt 'l';; \
90       -[dEDm]) skip_next=yes;; \
91       -[JT]) skip_next=yes;; \
92     esac; \
93     case $$flg in \
94       *$$target_option*) has_opt=yes; break;; \
95     esac; \
96   done; \
97   test $$has_opt = yes
98 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
99 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
100 pkgdatadir = $(datadir)/@PACKAGE@
101 pkgincludedir = $(includedir)/@PACKAGE@
102 pkglibdir = $(libdir)/@PACKAGE@
103 pkglibexecdir = $(libexecdir)/@PACKAGE@
104 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
105 install_sh_DATA = $(install_sh) -c -m 644
106 install_sh_PROGRAM = $(install_sh) -c
107 install_sh_SCRIPT = $(install_sh) -c
108 INSTALL_HEADER = $(INSTALL_DATA)
109 transform = $(program_transform_name)
110 NORMAL_INSTALL = :
111 PRE_INSTALL = :
112 POST_INSTALL = :
113 NORMAL_UNINSTALL = :
114 PRE_UNINSTALL = :
115 POST_UNINSTALL = :
116 build_triplet = @build@
117 host_triplet = @host@
118 @NEED_JAVA_TRUE@am__append_1 = \
119 @NEED_JAVA_TRUE@    src/jni/Messages_wrap.c \
120 @NEED_JAVA_TRUE@    src/jni/LocaleToLCID_wrap.c \
121 @NEED_JAVA_TRUE@    src/jni/setdefaultlanguage_wrap.c
122
123 @IS_MACOSX_TRUE@am__append_2 = \
124 @IS_MACOSX_TRUE@    src/c/getLocaleInfo_Apple.c
125
126
127 # FIXME: platform dependent things should be in configure.ac
128 @IS_MACOSX_TRUE@am__append_3 = -framework Cocoa
129 @IS_MACOSX_TRUE@am__append_4 = -lintl
130 @IS_MACOSX_TRUE@am__append_5 = -framework Cocoa
131 @NEED_JAVA_TRUE@am__append_6 = java
132 subdir = modules/localization
133 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
134 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
135         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
136         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
137         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
138         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
139         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
140         $(top_srcdir)/m4/intel_compiler.m4 \
141         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
142         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
143         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
144         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
145         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
146         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
147         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
148         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
149         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
150         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
151         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
152 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
153         $(ACLOCAL_M4)
154 DIST_COMMON = $(srcdir)/Makefile.am \
155         $(libscilocalization_la_include_HEADERS) $(am__DIST_COMMON)
156 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
157 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
158 CONFIG_CLEAN_FILES =
159 CONFIG_CLEAN_VPATH_FILES =
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
188         "$(DESTDIR)$(libscilocalization_la_etcdir)" \
189         "$(DESTDIR)$(libscilocalization_la_rootdir)" \
190         "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" \
191         "$(DESTDIR)$(libscilocalization_la_includedir)"
192 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
193 libscilocalization_algo_la_LIBADD =
194 am__libscilocalization_algo_la_SOURCES_DIST =  \
195         src/c/InitializeLocalization.c src/c/setgetlanguage.c \
196         src/c/getLcidString.c src/c/charEncoding.c \
197         src/c/setdefaultlanguage.c src/jni/Messages_wrap.c \
198         src/jni/LocaleToLCID_wrap.c src/jni/setdefaultlanguage_wrap.c \
199         src/c/getLocaleInfo_Apple.c src/cpp/localization.cpp \
200         src/cpp/UTF8.cpp
201 am__dirstamp = $(am__leading_dot)dirstamp
202 @NEED_JAVA_TRUE@am__objects_1 = src/jni/libscilocalization_algo_la-Messages_wrap.lo \
203 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo \
204 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo
205 @IS_MACOSX_TRUE@am__objects_2 = src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo
206 am__objects_3 =  \
207         src/c/libscilocalization_algo_la-InitializeLocalization.lo \
208         src/c/libscilocalization_algo_la-setgetlanguage.lo \
209         src/c/libscilocalization_algo_la-getLcidString.lo \
210         src/c/libscilocalization_algo_la-charEncoding.lo \
211         src/c/libscilocalization_algo_la-setdefaultlanguage.lo \
212         $(am__objects_1) $(am__objects_2)
213 am__objects_4 = src/cpp/libscilocalization_algo_la-localization.lo \
214         src/cpp/libscilocalization_algo_la-UTF8.lo
215 am_libscilocalization_algo_la_OBJECTS = $(am__objects_3) \
216         $(am__objects_4)
217 libscilocalization_algo_la_OBJECTS =  \
218         $(am_libscilocalization_algo_la_OBJECTS)
219 AM_V_lt = $(am__v_lt_@AM_V@)
220 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
221 am__v_lt_0 = --silent
222 am__v_lt_1 = 
223 am__DEPENDENCIES_1 =
224 libscilocalization_la_DEPENDENCIES = libscilocalization-algo.la \
225         $(am__DEPENDENCIES_1)
226 am__objects_5 = sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo \
227         sci_gateway/c/libscilocalization_la-sci_gettext.lo
228 am__objects_6 =  \
229         sci_gateway/cpp/libscilocalization_la-localization_gw.lo \
230         sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo \
231         sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo \
232         sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo \
233         sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo
234 am_libscilocalization_la_OBJECTS = $(am__objects_5) $(am__objects_6)
235 libscilocalization_la_OBJECTS = $(am_libscilocalization_la_OBJECTS)
236 libscilocalization_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
237         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
238         $(AM_CXXFLAGS) $(CXXFLAGS) $(libscilocalization_la_LDFLAGS) \
239         $(LDFLAGS) -o $@
240 AM_V_P = $(am__v_P_@AM_V@)
241 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
242 am__v_P_0 = false
243 am__v_P_1 = :
244 AM_V_GEN = $(am__v_GEN_@AM_V@)
245 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
246 am__v_GEN_0 = @echo "  GEN     " $@;
247 am__v_GEN_1 = 
248 AM_V_at = $(am__v_at_@AM_V@)
249 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
250 am__v_at_0 = @
251 am__v_at_1 = 
252 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
253 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
254 am__depfiles_maybe = depfiles
255 am__mv = mv -f
256 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
257         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
258 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
259         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
260         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
261         $(AM_CFLAGS) $(CFLAGS)
262 AM_V_CC = $(am__v_CC_@AM_V@)
263 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
264 am__v_CC_0 = @echo "  CC      " $@;
265 am__v_CC_1 = 
266 CCLD = $(CC)
267 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
268         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
269         $(AM_LDFLAGS) $(LDFLAGS) -o $@
270 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
271 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
272 am__v_CCLD_0 = @echo "  CCLD    " $@;
273 am__v_CCLD_1 = 
274 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
275         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
276 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
277         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
278         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
279         $(AM_CXXFLAGS) $(CXXFLAGS)
280 AM_V_CXX = $(am__v_CXX_@AM_V@)
281 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
282 am__v_CXX_0 = @echo "  CXX     " $@;
283 am__v_CXX_1 = 
284 CXXLD = $(CXX)
285 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
286         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
287         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
288 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
289 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
290 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
291 am__v_CXXLD_1 = 
292 SOURCES = $(libscilocalization_algo_la_SOURCES) \
293         $(libscilocalization_la_SOURCES)
294 DIST_SOURCES = $(am__libscilocalization_algo_la_SOURCES_DIST) \
295         $(libscilocalization_la_SOURCES)
296 am__can_run_installinfo = \
297   case $$AM_UPDATE_INFO_DIR in \
298     n|no|NO) false;; \
299     *) (install-info --version) >/dev/null 2>&1;; \
300   esac
301 DATA = $(libscilocalization_la_etc_DATA) \
302         $(libscilocalization_la_root_DATA) \
303         $(libscilocalization_la_sci_gateway_DATA)
304 HEADERS = $(libscilocalization_la_include_HEADERS)
305 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
306 # Read a list of newline-separated strings from the standard input,
307 # and print each of them once, without duplicates.  Input order is
308 # *not* preserved.
309 am__uniquify_input = $(AWK) '\
310   BEGIN { nonempty = 0; } \
311   { items[$$0] = 1; nonempty = 1; } \
312   END { if (nonempty) { for (i in items) print i; }; } \
313 '
314 # Make sure the list of sources is unique.  This is necessary because,
315 # e.g., the same source file might be shared among _SOURCES variables
316 # for different programs/libraries.
317 am__define_uniq_tagged_files = \
318   list='$(am__tagged_files)'; \
319   unique=`for i in $$list; do \
320     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321   done | $(am__uniquify_input)`
322 ETAGS = etags
323 CTAGS = ctags
324 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
325         $(top_srcdir)/config/depcomp \
326         $(top_srcdir)/config/mkinstalldirs
327 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
328 ACLOCAL = @ACLOCAL@
329 ALL_LINGUAS = @ALL_LINGUAS@
330 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
331 AMTAR = @AMTAR@
332 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
333 ANT = @ANT@
334 ANTLR = @ANTLR@
335 AR = @AR@
336 ARPACK_LIBS = @ARPACK_LIBS@
337 ASM3 = @ASM3@
338 AUTOCONF = @AUTOCONF@
339 AUTOHEADER = @AUTOHEADER@
340 AUTOMAKE = @AUTOMAKE@
341 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
342 AWK = @AWK@
343 BATIK = @BATIK@
344 BLAS_LIBS = @BLAS_LIBS@
345 CC = @CC@
346 CCACHE = @CCACHE@
347 CCDEPMODE = @CCDEPMODE@
348 CFLAGS = @CFLAGS@
349 CHECKSTYLE = @CHECKSTYLE@
350 COBERTURA = @COBERTURA@
351 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
352 COMMONS_IO = @COMMONS_IO@
353 COMMONS_LOGGING = @COMMONS_LOGGING@
354 CPP = @CPP@
355 CPPFLAGS = @CPPFLAGS@
356 CURL_CFLAGS = @CURL_CFLAGS@
357 CURL_CONFIG = @CURL_CONFIG@
358 CURL_LIBS = @CURL_LIBS@
359 CURL_VERSION = @CURL_VERSION@
360 CXX = @CXX@
361 CXXCPP = @CXXCPP@
362 CXXDEPMODE = @CXXDEPMODE@
363 CXXFLAGS = @CXXFLAGS@
364 CYGPATH_W = @CYGPATH_W@
365 DEFS = @DEFS@
366 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
367 DEPDIR = @DEPDIR@
368 DLLTOOL = @DLLTOOL@
369 DOCBOOK_ROOT = @DOCBOOK_ROOT@
370 DOXYGEN_BIN = @DOXYGEN_BIN@
371 DSYMUTIL = @DSYMUTIL@
372 DUMPBIN = @DUMPBIN@
373 ECHO_C = @ECHO_C@
374 ECHO_N = @ECHO_N@
375 ECHO_T = @ECHO_T@
376 ECJ = @ECJ@
377 EGREP = @EGREP@
378 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
379 EXEEXT = @EXEEXT@
380 F77 = @F77@
381 FFLAGS = @FFLAGS@
382 FFTW3_LIB = @FFTW3_LIB@
383 FFTW_ENABLE = @FFTW_ENABLE@
384 FGREP = @FGREP@
385 FLEXDOCK = @FLEXDOCK@
386 FLIBS = @FLIBS@
387 FOP = @FOP@
388 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
389 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
390 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
391 FREEHEP_IO = @FREEHEP_IO@
392 FREEHEP_UTIL = @FREEHEP_UTIL@
393 GENHTML = @GENHTML@
394 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
395 GIWS_BIN = @GIWS_BIN@
396 GLUEGEN2_RT = @GLUEGEN2_RT@
397 GMSGFMT = @GMSGFMT@
398 GMSGFMT_015 = @GMSGFMT_015@
399 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
400 GREP = @GREP@
401 GUI_ENABLE = @GUI_ENABLE@
402 HAVE_CXX11 = @HAVE_CXX11@
403 HDF5_CFLAGS = @HDF5_CFLAGS@
404 HDF5_LIBS = @HDF5_LIBS@
405 HELP_ENABLE = @HELP_ENABLE@
406 INSTALL = @INSTALL@
407 INSTALL_DATA = @INSTALL_DATA@
408 INSTALL_PROGRAM = @INSTALL_PROGRAM@
409 INSTALL_SCRIPT = @INSTALL_SCRIPT@
410 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
411 INTLLIBS = @INTLLIBS@
412 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
413 JAR = @JAR@
414 JAVA = @JAVA@
415 JAVAC = @JAVAC@
416 JAVAC_DEBUG = @JAVAC_DEBUG@
417 JAVADOC = @JAVADOC@
418 JAVAH = @JAVAH@
419 JAVASCI_ENABLE = @JAVASCI_ENABLE@
420 JAVA_ENABLE = @JAVA_ENABLE@
421 JAVA_G = @JAVA_G@
422 JAVA_HOME = @JAVA_HOME@
423 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
424 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
425 JDB = @JDB@
426 JEUCLID_CORE = @JEUCLID_CORE@
427 JGRAPHX = @JGRAPHX@
428 JHALL = @JHALL@
429 JLATEXMATH = @JLATEXMATH@
430 JLATEXMATH_FOP = @JLATEXMATH_FOP@
431 JOGL2 = @JOGL2@
432 JROSETTA_API = @JROSETTA_API@
433 JROSETTA_ENGINE = @JROSETTA_ENGINE@
434 JUNIT4 = @JUNIT4@
435 LAPACK_LIBS = @LAPACK_LIBS@
436 LCOV = @LCOV@
437 LD = @LD@
438 LDFLAGS = @LDFLAGS@
439 LEX = @LEX@
440 LEXLIB = @LEXLIB@
441 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
442 LIBICONV = @LIBICONV@
443 LIBINTL = @LIBINTL@
444 LIBM = @LIBM@
445 LIBOBJS = @LIBOBJS@
446 LIBS = @LIBS@
447 LIBTOOL = @LIBTOOL@
448 LIPO = @LIPO@
449 LN_S = @LN_S@
450 LOGGING_LEVEL = @LOGGING_LEVEL@
451 LOOKS = @LOOKS@
452 LTLIBICONV = @LTLIBICONV@
453 LTLIBINTL = @LTLIBINTL@
454 LTLIBOBJS = @LTLIBOBJS@
455 MAINT = @MAINT@
456 MAKEINFO = @MAKEINFO@
457 MANIFEST_TOOL = @MANIFEST_TOOL@
458 MATIO_CFLAGS = @MATIO_CFLAGS@
459 MATIO_ENABLE = @MATIO_ENABLE@
460 MATIO_LIBS = @MATIO_LIBS@
461 MKDIR_P = @MKDIR_P@
462 MPI_ENABLE = @MPI_ENABLE@
463 MSGCAT = @MSGCAT@
464 MSGFMT = @MSGFMT@
465 MSGFMT_015 = @MSGFMT_015@
466 MSGMERGE = @MSGMERGE@
467 NM = @NM@
468 NMEDIT = @NMEDIT@
469 OBJDUMP = @OBJDUMP@
470 OBJEXT = @OBJEXT@
471 OCAMLC = @OCAMLC@
472 OCAMLDEP = @OCAMLDEP@
473 OCAMLLEX = @OCAMLLEX@
474 OCAMLOPT = @OCAMLOPT@
475 OCAMLYACC = @OCAMLYACC@
476 OPENMPI_CC = @OPENMPI_CC@
477 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
478 OPENMPI_CXX = @OPENMPI_CXX@
479 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
480 OPENMPI_LIBS = @OPENMPI_LIBS@
481 OPENMP_CFLAGS = @OPENMP_CFLAGS@
482 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
483 OPENMP_ENABLE = @OPENMP_ENABLE@
484 OPENMP_LIBS = @OPENMP_LIBS@
485 OTOOL = @OTOOL@
486 OTOOL64 = @OTOOL64@
487 PACKAGE = @PACKAGE@
488 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
489 PACKAGE_NAME = @PACKAGE_NAME@
490 PACKAGE_STRING = @PACKAGE_STRING@
491 PACKAGE_TARNAME = @PACKAGE_TARNAME@
492 PACKAGE_URL = @PACKAGE_URL@
493 PACKAGE_VERSION = @PACKAGE_VERSION@
494 PATH_SEPARATOR = @PATH_SEPARATOR@
495 PCRE_CFLAGS = @PCRE_CFLAGS@
496 PCRE_CONFIG = @PCRE_CONFIG@
497 PCRE_LIBS = @PCRE_LIBS@
498 PCRE_VERSION = @PCRE_VERSION@
499 PKG_CONFIG = @PKG_CONFIG@
500 POSUB = @POSUB@
501 POW_LIB = @POW_LIB@
502 PYTHON = @PYTHON@
503 RANLIB = @RANLIB@
504 RELOCATABLE = @RELOCATABLE@
505 RT_LIB = @RT_LIB@
506 SAXON = @SAXON@
507 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
508 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
509 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
510 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
511 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
512 SCIRENDERER = @SCIRENDERER@
513 SCIRENDERER_CP = @SCIRENDERER_CP@
514 SCI_CFLAGS = @SCI_CFLAGS@
515 SCI_CXXFLAGS = @SCI_CXXFLAGS@
516 SCI_FFLAGS = @SCI_FFLAGS@
517 SCI_LDFLAGS = @SCI_LDFLAGS@
518 SED = @SED@
519 SET_MAKE = @SET_MAKE@
520 SET_RELOCATABLE = @SET_RELOCATABLE@
521 SHELL = @SHELL@
522 SKINLF = @SKINLF@
523 SPLINT = @SPLINT@
524 STRIP = @STRIP@
525 SWIG_BIN = @SWIG_BIN@
526 SWIG_JAVA = @SWIG_JAVA@
527 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
528 SWIG_SCILAB = @SWIG_SCILAB@
529 TCLTK_LIBS = @TCLTK_LIBS@
530 TCL_INC_PATH = @TCL_INC_PATH@
531 TK_INC_PATH = @TK_INC_PATH@
532 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
533 UMFPACK_ENABLE = @UMFPACK_ENABLE@
534 UMFPACK_LIB = @UMFPACK_LIB@
535 USE_NLS = @USE_NLS@
536 VERSION = @VERSION@
537 WITH_OCAML = @WITH_OCAML@
538 WITH_TKSCI = @WITH_TKSCI@
539 XCOS_ENABLE = @XCOS_ENABLE@
540 XGETTEXT = @XGETTEXT@
541 XGETTEXT_015 = @XGETTEXT_015@
542 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
543 XMKMF = @XMKMF@
544 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
545 XML_APIS_EXT = @XML_APIS_EXT@
546 XML_CONFIG = @XML_CONFIG@
547 XML_FLAGS = @XML_FLAGS@
548 XML_LIBS = @XML_LIBS@
549 XML_VERSION = @XML_VERSION@
550 X_CFLAGS = @X_CFLAGS@
551 X_EXTRA_LIBS = @X_EXTRA_LIBS@
552 X_LIBS = @X_LIBS@
553 X_PRE_LIBS = @X_PRE_LIBS@
554 YACC = @YACC@
555 YFLAGS = @YFLAGS@
556 abs_builddir = @abs_builddir@
557 abs_srcdir = @abs_srcdir@
558 abs_top_builddir = @abs_top_builddir@
559 abs_top_srcdir = @abs_top_srcdir@
560 ac_ct_AR = @ac_ct_AR@
561 ac_ct_CC = @ac_ct_CC@
562 ac_ct_CXX = @ac_ct_CXX@
563 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
564 ac_ct_F77 = @ac_ct_F77@
565 am__include = @am__include@
566 am__leading_dot = @am__leading_dot@
567 am__quote = @am__quote@
568 am__tar = @am__tar@
569 am__untar = @am__untar@
570 bindir = @bindir@
571 build = @build@
572 build_alias = @build_alias@
573 build_cpu = @build_cpu@
574 build_os = @build_os@
575 build_vendor = @build_vendor@
576 builddir = @builddir@
577 cxx_present = @cxx_present@
578 datadir = @datadir@
579 datarootdir = @datarootdir@
580 docdir = @docdir@
581 dvidir = @dvidir@
582 exec_prefix = @exec_prefix@
583 host = @host@
584 host_alias = @host_alias@
585 host_cpu = @host_cpu@
586 host_os = @host_os@
587 host_vendor = @host_vendor@
588 htmldir = @htmldir@
589 includedir = @includedir@
590 infodir = @infodir@
591 install_sh = @install_sh@
592 libdir = @libdir@
593 libexecdir = @libexecdir@
594 localedir = @localedir@
595 localstatedir = @localstatedir@
596 mandir = @mandir@
597 mkdir_p = @mkdir_p@
598 oldincludedir = @oldincludedir@
599 pdfdir = @pdfdir@
600 prefix = @prefix@
601 program_transform_name = @program_transform_name@
602 psdir = @psdir@
603 runstatedir = @runstatedir@
604 sbindir = @sbindir@
605 sharedstatedir = @sharedstatedir@
606 srcdir = @srcdir@
607 sysconfdir = @sysconfdir@
608 target_alias = @target_alias@
609 top_build_prefix = @top_build_prefix@
610 top_builddir = @top_builddir@
611 top_srcdir = @top_srcdir@
612 yacc_present = @yacc_present@
613 LOCALIZATION_C_SOURCES = src/c/InitializeLocalization.c \
614         src/c/setgetlanguage.c src/c/getLcidString.c \
615         src/c/charEncoding.c src/c/setdefaultlanguage.c \
616         $(am__append_1) $(am__append_2)
617 LOCALIZATION_CPP_SOURCES = \
618     src/cpp/localization.cpp \
619     src/cpp/UTF8.cpp
620
621 GATEWAY_C_SOURCES = \
622     sci_gateway/c/sci_addlocalizationdomain.c \
623     sci_gateway/c/sci_gettext.c
624
625 GATEWAY_CPP_SOURCES = \
626         sci_gateway/cpp/localization_gw.cpp \
627         sci_gateway/cpp/sci_setdefaultlanguage.cpp \
628         sci_gateway/cpp/sci_getdefaultlanguage.cpp \
629         sci_gateway/cpp/sci_setlanguage.cpp \
630         sci_gateway/cpp/sci_getlanguage.cpp
631
632 libscilocalization_la_CPPFLAGS = \
633     $(JAVA_JNI_INCLUDE) \
634     -I$(srcdir)/includes/ \
635     -I$(srcdir)/src/c/ \
636     -I$(top_srcdir)/modules/ast/includes/ast/ \
637     -I$(top_srcdir)/modules/ast/includes/exps/ \
638     -I$(top_srcdir)/modules/ast/includes/operations/ \
639     -I$(top_srcdir)/modules/ast/includes/parse/ \
640     -I$(top_srcdir)/modules/ast/includes/symbol/ \
641     -I$(top_srcdir)/modules/ast/includes/system_env/ \
642     -I$(top_srcdir)/modules/ast/includes/types/ \
643     -I$(top_srcdir)/modules/ast/includes/analysis/ \
644     -I$(top_srcdir)/modules/functions_manager/includes/ \
645     -I$(top_srcdir)/modules/core/includes/ \
646     -I$(top_srcdir)/modules/string/includes/ \
647     -I$(top_srcdir)/modules/fileio/includes/ \
648     -I$(top_srcdir)/modules/api_scilab/includes/ \
649     -I$(top_srcdir)/modules/output_stream/includes/ \
650     -I$(top_srcdir)/modules/dynamic_link/includes/ \
651     $(AM_CPPFLAGS)
652
653 pkglib_LTLIBRARIES = libscilocalization.la
654 noinst_LTLIBRARIES = libscilocalization-algo.la
655 libscilocalization_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_3)
656 libscilocalization_la_CFLAGS = $(AM_CFLAGS) $(am__append_5)
657 libscilocalization_algo_la_SOURCES = $(LOCALIZATION_C_SOURCES) $(LOCALIZATION_CPP_SOURCES)
658 libscilocalization_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
659 libscilocalization_algo_la_CPPFLAGS = $(libscilocalization_la_CPPFLAGS)
660
661 # For the code check (splint)
662 CHECK_SRC = $(libscilocalization_la_SOURCES)
663 INCLUDE_FLAGS = $(libscilocalization_la_CPPFLAGS)
664 libscilocalization_la_LIBADD = libscilocalization-algo.la \
665         $(am__append_4)
666
667 # $(top_builddir)/modules/io/libsciio.la
668 #### Target ######
669 modulename = localization
670
671 #### localization : Conf files ####
672 libscilocalization_la_rootdir = $(mydatadir)
673 libscilocalization_la_root_DATA = license.txt
674
675 ####localization : init scripts ####
676 libscilocalization_la_etcdir = $(mydatadir)/etc
677 libscilocalization_la_etc_DATA = etc/localization.quit etc/localization.start
678
679 ####´┐Żlocalization : gateway declaration ####
680 libscilocalization_la_sci_gatewaydir = $(mydatadir)/sci_gateway
681 libscilocalization_la_sci_gateway_DATA = sci_gateway/localization_gateway.xml
682
683 ####localization : include files ####
684 libscilocalization_la_includedir = $(pkgincludedir)
685 libscilocalization_la_include_HEADERS = includes/localization.h \
686 includes/localization.hxx \
687 includes/dynlib_localization.h \
688 includes/setgetlanguage.h \
689 includes/charEncoding.h
690
691 @GUI_TRUE@USEANT = 1
692
693 #### SWIG Declaration ####
694 SWIG_WRAPPERS = src/jni/Messages.i \
695 src/jni/LocaleToLCID.i
696
697 @SWIG_TRUE@BUILT_SOURCES = swig
698
699 # Where all the Scilab stuff is installed (macros, help, ...)
700 mydatadir = $(pkgdatadir)/modules/$(modulename)
701
702 # Set AM_* SCI detected settings
703 AM_CPPFLAGS = $(SCI_CPPFLAGS)
704 AM_CFLAGS = $(SCI_CFLAGS)
705 AM_CXXFLAGS = $(SCI_CXXFLAGS)
706 # append includes to AM_FFLAGS to manage fortran includes
707 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
708
709 # Tag shared libraries with the Scilab version
710 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
711
712 # splint options
713 SPLINT_OPTIONS = -weak -booltype BOOL
714
715 ########################### JAVA ######################################
716 #### We are delegating java compilation to ant... Thanks to that
717 #### the procedure will be the same with Microsoft Windows (C)
718 #### and Linux/Unix
719 #######################################################################
720 TARGETS_ALL = $(am__append_6)
721
722 ################ MACROS ######################
723 # Rule to build a macro
724 # NOT USED  AT THE MOMENT
725 SUFFIXES = .sci
726
727 ########### INSTALL DOCUMENTATION ###################
728
729 # Install documentation files into the right target
730 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
731 # automake needs the html files to be present which is not the case when
732 # we are building Scilab
733
734 # Where it should be installed
735 pkgdocdir = $(mydatadir)
736
737 # What is the mask of the help source
738 DOCMASKXML = *.xml
739
740 # What is the mask of the MathML sources
741 DOCMASKMML = *.mml
742
743 ########### INSTALL DATA ###################
744 # Install macros, help & demos
745 # Where it should be installed
746 pkgmacrosdir = $(mydatadir)
747 # Which directory we process
748 MACRODIRS = macros/
749 # Mask of the Scilab sources macros
750 MACROMASK = *.sci
751 # Mask of the Scilab executable sources macros
752 MACROBUILDMASK = *.sce
753 # Mask of the Scilab compiled macros
754 MACROBINMASK = *.bin
755 # List of the standard directory for tests
756 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
757 # Where the demos should be installed
758 pkgdemosdir = $(mydatadir)
759 # List of the standard directory for demos
760 DEMOS_DIR = demos
761 # List of the standard directory for examples
762 EXAMPLES_DIR = examples
763 # Where to export JAVA archives (.jar)
764 JARDIR = jar/
765 # JAR files mask
766 JARMASK = *.jar
767 # Chapter file
768 HELP_CHAPTERDIR = help/
769 HELP_CHAPTERFILE = addchapter.sce
770 HELP_CHAPTERLANG = en_US fr_FR pt_BR
771 all: $(BUILT_SOURCES)
772         $(MAKE) $(AM_MAKEFLAGS) all-am
773
774 .SUFFIXES:
775 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
776 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
777         @for dep in $?; do \
778           case '$(am__configure_deps)' in \
779             *$$dep*) \
780               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
781                 && { if test -f $@; then exit 0; else break; fi; }; \
782               exit 1;; \
783           esac; \
784         done; \
785         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/localization/Makefile'; \
786         $(am__cd) $(top_srcdir) && \
787           $(AUTOMAKE) --foreign modules/localization/Makefile
788 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
789         @case '$?' in \
790           *config.status*) \
791             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
792           *) \
793             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
794             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
795         esac;
796 $(top_srcdir)/Makefile.incl.am $(am__empty):
797
798 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
799         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800
801 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
802         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
803 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
804         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
805 $(am__aclocal_m4_deps):
806
807 clean-noinstLTLIBRARIES:
808         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
809         @list='$(noinst_LTLIBRARIES)'; \
810         locs=`for p in $$list; do echo $$p; done | \
811               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
812               sort -u`; \
813         test -z "$$locs" || { \
814           echo rm -f $${locs}; \
815           rm -f $${locs}; \
816         }
817
818 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
819         @$(NORMAL_INSTALL)
820         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
821         list2=; for p in $$list; do \
822           if test -f $$p; then \
823             list2="$$list2 $$p"; \
824           else :; fi; \
825         done; \
826         test -z "$$list2" || { \
827           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
828           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
829           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
830           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
831         }
832
833 uninstall-pkglibLTLIBRARIES:
834         @$(NORMAL_UNINSTALL)
835         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
836         for p in $$list; do \
837           $(am__strip_dir) \
838           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
839           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
840         done
841
842 clean-pkglibLTLIBRARIES:
843         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
844         @list='$(pkglib_LTLIBRARIES)'; \
845         locs=`for p in $$list; do echo $$p; done | \
846               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
847               sort -u`; \
848         test -z "$$locs" || { \
849           echo rm -f $${locs}; \
850           rm -f $${locs}; \
851         }
852 src/c/$(am__dirstamp):
853         @$(MKDIR_P) src/c
854         @: > src/c/$(am__dirstamp)
855 src/c/$(DEPDIR)/$(am__dirstamp):
856         @$(MKDIR_P) src/c/$(DEPDIR)
857         @: > src/c/$(DEPDIR)/$(am__dirstamp)
858 src/c/libscilocalization_algo_la-InitializeLocalization.lo:  \
859         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
860 src/c/libscilocalization_algo_la-setgetlanguage.lo:  \
861         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
862 src/c/libscilocalization_algo_la-getLcidString.lo:  \
863         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
864 src/c/libscilocalization_algo_la-charEncoding.lo:  \
865         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
866 src/c/libscilocalization_algo_la-setdefaultlanguage.lo:  \
867         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
868 src/jni/$(am__dirstamp):
869         @$(MKDIR_P) src/jni
870         @: > src/jni/$(am__dirstamp)
871 src/jni/$(DEPDIR)/$(am__dirstamp):
872         @$(MKDIR_P) src/jni/$(DEPDIR)
873         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
874 src/jni/libscilocalization_algo_la-Messages_wrap.lo:  \
875         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
876 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo:  \
877         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
878 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo:  \
879         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
880 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo:  \
881         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
882 src/cpp/$(am__dirstamp):
883         @$(MKDIR_P) src/cpp
884         @: > src/cpp/$(am__dirstamp)
885 src/cpp/$(DEPDIR)/$(am__dirstamp):
886         @$(MKDIR_P) src/cpp/$(DEPDIR)
887         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
888 src/cpp/libscilocalization_algo_la-localization.lo:  \
889         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
890 src/cpp/libscilocalization_algo_la-UTF8.lo: src/cpp/$(am__dirstamp) \
891         src/cpp/$(DEPDIR)/$(am__dirstamp)
892
893 libscilocalization-algo.la: $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_DEPENDENCIES) $(EXTRA_libscilocalization_algo_la_DEPENDENCIES) 
894         $(AM_V_CXXLD)$(CXXLINK)  $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_LIBADD) $(LIBS)
895 sci_gateway/c/$(am__dirstamp):
896         @$(MKDIR_P) sci_gateway/c
897         @: > sci_gateway/c/$(am__dirstamp)
898 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
899         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
900         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
901 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo:  \
902         sci_gateway/c/$(am__dirstamp) \
903         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
904 sci_gateway/c/libscilocalization_la-sci_gettext.lo:  \
905         sci_gateway/c/$(am__dirstamp) \
906         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
907 sci_gateway/cpp/$(am__dirstamp):
908         @$(MKDIR_P) sci_gateway/cpp
909         @: > sci_gateway/cpp/$(am__dirstamp)
910 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
911         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
912         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
913 sci_gateway/cpp/libscilocalization_la-localization_gw.lo:  \
914         sci_gateway/cpp/$(am__dirstamp) \
915         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
916 sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo:  \
917         sci_gateway/cpp/$(am__dirstamp) \
918         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
919 sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo:  \
920         sci_gateway/cpp/$(am__dirstamp) \
921         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
922 sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo:  \
923         sci_gateway/cpp/$(am__dirstamp) \
924         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
925 sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo:  \
926         sci_gateway/cpp/$(am__dirstamp) \
927         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
928
929 libscilocalization.la: $(libscilocalization_la_OBJECTS) $(libscilocalization_la_DEPENDENCIES) $(EXTRA_libscilocalization_la_DEPENDENCIES) 
930         $(AM_V_CXXLD)$(libscilocalization_la_LINK) -rpath $(pkglibdir) $(libscilocalization_la_OBJECTS) $(libscilocalization_la_LIBADD) $(LIBS)
931
932 mostlyclean-compile:
933         -rm -f *.$(OBJEXT)
934         -rm -f sci_gateway/c/*.$(OBJEXT)
935         -rm -f sci_gateway/c/*.lo
936         -rm -f sci_gateway/cpp/*.$(OBJEXT)
937         -rm -f sci_gateway/cpp/*.lo
938         -rm -f src/c/*.$(OBJEXT)
939         -rm -f src/c/*.lo
940         -rm -f src/cpp/*.$(OBJEXT)
941         -rm -f src/cpp/*.lo
942         -rm -f src/jni/*.$(OBJEXT)
943         -rm -f src/jni/*.lo
944
945 distclean-compile:
946         -rm -f *.tab.c
947
948 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo@am__quote@
950 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Plo@am__quote@
951 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo@am__quote@
952 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo@am__quote@
953 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo@am__quote@
954 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo@am__quote@
955 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo@am__quote@
956 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo@am__quote@
957 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo@am__quote@
958 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo@am__quote@
959 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo@am__quote@
960 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo@am__quote@
961 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscilocalization_algo_la-UTF8.Plo@am__quote@
962 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Plo@am__quote@
963 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo@am__quote@
964 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo@am__quote@
965 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo@am__quote@
966
967 .c.o:
968 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
969 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
970 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
971 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
974
975 .c.obj:
976 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
977 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
978 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
982
983 .c.lo:
984 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
985 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
986 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
990
991 src/c/libscilocalization_algo_la-InitializeLocalization.lo: src/c/InitializeLocalization.c
992 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-InitializeLocalization.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
993 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InitializeLocalization.c' object='src/c/libscilocalization_algo_la-InitializeLocalization.lo' libtool=yes @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
997
998 src/c/libscilocalization_algo_la-setgetlanguage.lo: src/c/setgetlanguage.c
999 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setgetlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
1000 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo
1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setgetlanguage.c' object='src/c/libscilocalization_algo_la-setgetlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1003 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
1004
1005 src/c/libscilocalization_algo_la-getLcidString.lo: src/c/getLcidString.c
1006 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLcidString.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
1007 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo
1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLcidString.c' object='src/c/libscilocalization_algo_la-getLcidString.lo' libtool=yes @AMDEPBACKSLASH@
1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
1011
1012 src/c/libscilocalization_algo_la-charEncoding.lo: src/c/charEncoding.c
1013 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-charEncoding.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
1014 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo
1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/charEncoding.c' object='src/c/libscilocalization_algo_la-charEncoding.lo' libtool=yes @AMDEPBACKSLASH@
1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1017 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
1018
1019 src/c/libscilocalization_algo_la-setdefaultlanguage.lo: src/c/setdefaultlanguage.c
1020 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setdefaultlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
1021 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo
1022 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setdefaultlanguage.c' object='src/c/libscilocalization_algo_la-setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1024 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
1025
1026 src/jni/libscilocalization_algo_la-Messages_wrap.lo: src/jni/Messages_wrap.c
1027 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-Messages_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
1028 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo
1029 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/Messages_wrap.c' object='src/jni/libscilocalization_algo_la-Messages_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1031 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
1032
1033 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo: src/jni/LocaleToLCID_wrap.c
1034 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
1035 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/LocaleToLCID_wrap.c' object='src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1038 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
1039
1040 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo: src/jni/setdefaultlanguage_wrap.c
1041 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
1042 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/setdefaultlanguage_wrap.c' object='src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1044 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1045 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
1046
1047 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo: src/c/getLocaleInfo_Apple.c
1048 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
1049 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo
1050 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLocaleInfo_Apple.c' object='src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo' libtool=yes @AMDEPBACKSLASH@
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
1053
1054 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo: sci_gateway/c/sci_addlocalizationdomain.c
1055 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1056 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo
1057 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_addlocalizationdomain.c' object='sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo' libtool=yes @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1060
1061 sci_gateway/c/libscilocalization_la-sci_gettext.lo: sci_gateway/c/sci_gettext.c
1062 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_gettext.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
1063 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo
1064 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_gettext.c' object='sci_gateway/c/libscilocalization_la-sci_gettext.lo' libtool=yes @AMDEPBACKSLASH@
1065 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1066 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
1067
1068 .cpp.o:
1069 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1070 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1071 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1075
1076 .cpp.obj:
1077 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1078 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1079 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1083
1084 .cpp.lo:
1085 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1086 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1087 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1089 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1090 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1091
1092 src/cpp/libscilocalization_algo_la-localization.lo: src/cpp/localization.cpp
1093 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscilocalization_algo_la-localization.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Tpo -c -o src/cpp/libscilocalization_algo_la-localization.lo `test -f 'src/cpp/localization.cpp' || echo '$(srcdir)/'`src/cpp/localization.cpp
1094 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Tpo src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Plo
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/localization.cpp' object='src/cpp/libscilocalization_algo_la-localization.lo' libtool=yes @AMDEPBACKSLASH@
1096 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1097 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscilocalization_algo_la-localization.lo `test -f 'src/cpp/localization.cpp' || echo '$(srcdir)/'`src/cpp/localization.cpp
1098
1099 src/cpp/libscilocalization_algo_la-UTF8.lo: src/cpp/UTF8.cpp
1100 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscilocalization_algo_la-UTF8.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscilocalization_algo_la-UTF8.Tpo -c -o src/cpp/libscilocalization_algo_la-UTF8.lo `test -f 'src/cpp/UTF8.cpp' || echo '$(srcdir)/'`src/cpp/UTF8.cpp
1101 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscilocalization_algo_la-UTF8.Tpo src/cpp/$(DEPDIR)/libscilocalization_algo_la-UTF8.Plo
1102 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/UTF8.cpp' object='src/cpp/libscilocalization_algo_la-UTF8.lo' libtool=yes @AMDEPBACKSLASH@
1103 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1104 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscilocalization_algo_la-UTF8.lo `test -f 'src/cpp/UTF8.cpp' || echo '$(srcdir)/'`src/cpp/UTF8.cpp
1105
1106 sci_gateway/cpp/libscilocalization_la-localization_gw.lo: sci_gateway/cpp/localization_gw.cpp
1107 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-localization_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Tpo -c -o sci_gateway/cpp/libscilocalization_la-localization_gw.lo `test -f 'sci_gateway/cpp/localization_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/localization_gw.cpp
1108 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Plo
1109 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/localization_gw.cpp' object='sci_gateway/cpp/libscilocalization_la-localization_gw.lo' libtool=yes @AMDEPBACKSLASH@
1110 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1111 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-localization_gw.lo `test -f 'sci_gateway/cpp/localization_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/localization_gw.cpp
1112
1113 sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo: sci_gateway/cpp/sci_setdefaultlanguage.cpp
1114 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_setdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setdefaultlanguage.cpp
1115 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo
1116 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_setdefaultlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1117 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1118 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_setdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setdefaultlanguage.cpp
1119
1120 sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo: sci_gateway/cpp/sci_getdefaultlanguage.cpp
1121 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_getdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getdefaultlanguage.cpp
1122 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo
1123 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getdefaultlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1124 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1125 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_getdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getdefaultlanguage.cpp
1126
1127 sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo: sci_gateway/cpp/sci_setlanguage.cpp
1128 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/cpp/sci_setlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setlanguage.cpp
1129 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo
1130 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_setlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1131 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1132 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/cpp/sci_setlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setlanguage.cpp
1133
1134 sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo: sci_gateway/cpp/sci_getlanguage.cpp
1135 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/cpp/sci_getlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getlanguage.cpp
1136 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo
1137 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1138 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1139 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/cpp/sci_getlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getlanguage.cpp
1140
1141 mostlyclean-libtool:
1142         -rm -f *.lo
1143
1144 clean-libtool:
1145         -rm -rf .libs _libs
1146         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1147         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1148         -rm -rf src/c/.libs src/c/_libs
1149         -rm -rf src/cpp/.libs src/cpp/_libs
1150         -rm -rf src/jni/.libs src/jni/_libs
1151 install-libscilocalization_la_etcDATA: $(libscilocalization_la_etc_DATA)
1152         @$(NORMAL_INSTALL)
1153         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1154         if test -n "$$list"; then \
1155           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1156           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit 1; \
1157         fi; \
1158         for p in $$list; do \
1159           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1160           echo "$$d$$p"; \
1161         done | $(am__base_list) | \
1162         while read files; do \
1163           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1164           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit $$?; \
1165         done
1166
1167 uninstall-libscilocalization_la_etcDATA:
1168         @$(NORMAL_UNINSTALL)
1169         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1170         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1171         dir='$(DESTDIR)$(libscilocalization_la_etcdir)'; $(am__uninstall_files_from_dir)
1172 install-libscilocalization_la_rootDATA: $(libscilocalization_la_root_DATA)
1173         @$(NORMAL_INSTALL)
1174         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1175         if test -n "$$list"; then \
1176           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1177           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit 1; \
1178         fi; \
1179         for p in $$list; do \
1180           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1181           echo "$$d$$p"; \
1182         done | $(am__base_list) | \
1183         while read files; do \
1184           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1185           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit $$?; \
1186         done
1187
1188 uninstall-libscilocalization_la_rootDATA:
1189         @$(NORMAL_UNINSTALL)
1190         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1191         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1192         dir='$(DESTDIR)$(libscilocalization_la_rootdir)'; $(am__uninstall_files_from_dir)
1193 install-libscilocalization_la_sci_gatewayDATA: $(libscilocalization_la_sci_gateway_DATA)
1194         @$(NORMAL_INSTALL)
1195         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1196         if test -n "$$list"; then \
1197           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1198           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit 1; \
1199         fi; \
1200         for p in $$list; do \
1201           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1202           echo "$$d$$p"; \
1203         done | $(am__base_list) | \
1204         while read files; do \
1205           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1206           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit $$?; \
1207         done
1208
1209 uninstall-libscilocalization_la_sci_gatewayDATA:
1210         @$(NORMAL_UNINSTALL)
1211         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1212         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1213         dir='$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1214 install-libscilocalization_la_includeHEADERS: $(libscilocalization_la_include_HEADERS)
1215         @$(NORMAL_INSTALL)
1216         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1217         if test -n "$$list"; then \
1218           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1219           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_includedir)" || exit 1; \
1220         fi; \
1221         for p in $$list; do \
1222           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1223           echo "$$d$$p"; \
1224         done | $(am__base_list) | \
1225         while read files; do \
1226           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1227           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscilocalization_la_includedir)" || exit $$?; \
1228         done
1229
1230 uninstall-libscilocalization_la_includeHEADERS:
1231         @$(NORMAL_UNINSTALL)
1232         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1233         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1234         dir='$(DESTDIR)$(libscilocalization_la_includedir)'; $(am__uninstall_files_from_dir)
1235
1236 ID: $(am__tagged_files)
1237         $(am__define_uniq_tagged_files); mkid -fID $$unique
1238 tags: tags-am
1239 TAGS: tags
1240
1241 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1242         set x; \
1243         here=`pwd`; \
1244         $(am__define_uniq_tagged_files); \
1245         shift; \
1246         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1247           test -n "$$unique" || unique=$$empty_fix; \
1248           if test $$# -gt 0; then \
1249             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1250               "$$@" $$unique; \
1251           else \
1252             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1253               $$unique; \
1254           fi; \
1255         fi
1256 ctags: ctags-am
1257
1258 CTAGS: ctags
1259 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1260         $(am__define_uniq_tagged_files); \
1261         test -z "$(CTAGS_ARGS)$$unique" \
1262           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1263              $$unique
1264
1265 GTAGS:
1266         here=`$(am__cd) $(top_builddir) && pwd` \
1267           && $(am__cd) $(top_srcdir) \
1268           && gtags -i $(GTAGS_ARGS) "$$here"
1269 cscopelist: cscopelist-am
1270
1271 cscopelist-am: $(am__tagged_files)
1272         list='$(am__tagged_files)'; \
1273         case "$(srcdir)" in \
1274           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1275           *) sdir=$(subdir)/$(srcdir) ;; \
1276         esac; \
1277         for i in $$list; do \
1278           if test -f "$$i"; then \
1279             echo "$(subdir)/$$i"; \
1280           else \
1281             echo "$$sdir/$$i"; \
1282           fi; \
1283         done >> $(top_builddir)/cscope.files
1284
1285 distclean-tags:
1286         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1287
1288 distdir: $(DISTFILES)
1289         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1290         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1291         list='$(DISTFILES)'; \
1292           dist_files=`for file in $$list; do echo $$file; done | \
1293           sed -e "s|^$$srcdirstrip/||;t" \
1294               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1295         case $$dist_files in \
1296           */*) $(MKDIR_P) `echo "$$dist_files" | \
1297                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1298                            sort -u` ;; \
1299         esac; \
1300         for file in $$dist_files; do \
1301           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1302           if test -d $$d/$$file; then \
1303             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1304             if test -d "$(distdir)/$$file"; then \
1305               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1306             fi; \
1307             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1308               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1309               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1310             fi; \
1311             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1312           else \
1313             test -f "$(distdir)/$$file" \
1314             || cp -p $$d/$$file "$(distdir)/$$file" \
1315             || exit 1; \
1316           fi; \
1317         done
1318 check-am: all-am
1319         $(MAKE) $(AM_MAKEFLAGS) check-local
1320 check: $(BUILT_SOURCES)
1321         $(MAKE) $(AM_MAKEFLAGS) check-am
1322 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1323 installdirs:
1324         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscilocalization_la_etcdir)" "$(DESTDIR)$(libscilocalization_la_rootdir)" "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" "$(DESTDIR)$(libscilocalization_la_includedir)"; do \
1325           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1326         done
1327 install: $(BUILT_SOURCES)
1328         $(MAKE) $(AM_MAKEFLAGS) install-am
1329 install-exec: install-exec-am
1330 install-data: install-data-am
1331 uninstall: uninstall-am
1332
1333 install-am: all-am
1334         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1335
1336 installcheck: installcheck-am
1337 install-strip:
1338         if test -z '$(STRIP)'; then \
1339           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1340             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1341               install; \
1342         else \
1343           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1344             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1345             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1346         fi
1347 mostlyclean-generic:
1348
1349 clean-generic:
1350
1351 distclean-generic:
1352         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1353         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1354         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1355         -rm -f sci_gateway/c/$(am__dirstamp)
1356         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1357         -rm -f sci_gateway/cpp/$(am__dirstamp)
1358         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1359         -rm -f src/c/$(am__dirstamp)
1360         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1361         -rm -f src/cpp/$(am__dirstamp)
1362         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1363         -rm -f src/jni/$(am__dirstamp)
1364
1365 maintainer-clean-generic:
1366         @echo "This command is intended for maintainers to use"
1367         @echo "it deletes files that may require special tools to rebuild."
1368         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1369 clean: clean-am
1370
1371 clean-am: clean-generic clean-libtool clean-local \
1372         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1373
1374 distclean: distclean-am
1375         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1376         -rm -f Makefile
1377 distclean-am: clean-am distclean-compile distclean-generic \
1378         distclean-local distclean-tags
1379
1380 dvi: dvi-am
1381
1382 dvi-am:
1383
1384 html: html-am
1385
1386 html-am:
1387
1388 info: info-am
1389
1390 info-am:
1391
1392 install-data-am: install-data-local \
1393         install-libscilocalization_la_etcDATA \
1394         install-libscilocalization_la_includeHEADERS \
1395         install-libscilocalization_la_rootDATA \
1396         install-libscilocalization_la_sci_gatewayDATA
1397
1398 install-dvi: install-dvi-am
1399
1400 install-dvi-am:
1401
1402 install-exec-am: install-pkglibLTLIBRARIES
1403
1404 install-html: install-html-am
1405
1406 install-html-am: install-html-local
1407
1408 install-info: install-info-am
1409
1410 install-info-am:
1411
1412 install-man:
1413
1414 install-pdf: install-pdf-am
1415
1416 install-pdf-am:
1417
1418 install-ps: install-ps-am
1419
1420 install-ps-am:
1421
1422 installcheck-am:
1423
1424 maintainer-clean: maintainer-clean-am
1425         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1426         -rm -f Makefile
1427 maintainer-clean-am: distclean-am maintainer-clean-generic
1428
1429 mostlyclean: mostlyclean-am
1430
1431 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1432         mostlyclean-libtool
1433
1434 pdf: pdf-am
1435
1436 pdf-am:
1437
1438 ps: ps-am
1439
1440 ps-am:
1441
1442 uninstall-am: uninstall-libscilocalization_la_etcDATA \
1443         uninstall-libscilocalization_la_includeHEADERS \
1444         uninstall-libscilocalization_la_rootDATA \
1445         uninstall-libscilocalization_la_sci_gatewayDATA \
1446         uninstall-pkglibLTLIBRARIES
1447
1448 .MAKE: all check check-am install install-am install-strip
1449
1450 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1451         check-local clean clean-generic clean-libtool clean-local \
1452         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1453         ctags ctags-am distclean distclean-compile distclean-generic \
1454         distclean-libtool distclean-local distclean-tags distdir dvi \
1455         dvi-am html html-am info info-am install install-am \
1456         install-data install-data-am install-data-local install-dvi \
1457         install-dvi-am install-exec install-exec-am install-html \
1458         install-html-am install-html-local install-info \
1459         install-info-am install-libscilocalization_la_etcDATA \
1460         install-libscilocalization_la_includeHEADERS \
1461         install-libscilocalization_la_rootDATA \
1462         install-libscilocalization_la_sci_gatewayDATA install-man \
1463         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1464         install-ps install-ps-am install-strip installcheck \
1465         installcheck-am installdirs maintainer-clean \
1466         maintainer-clean-generic mostlyclean mostlyclean-compile \
1467         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1468         tags tags-am uninstall uninstall-am \
1469         uninstall-libscilocalization_la_etcDATA \
1470         uninstall-libscilocalization_la_includeHEADERS \
1471         uninstall-libscilocalization_la_rootDATA \
1472         uninstall-libscilocalization_la_sci_gatewayDATA \
1473         uninstall-pkglibLTLIBRARIES
1474
1475 .PRECIOUS: Makefile
1476
1477
1478 # This target enables tests for Scilab
1479 check-local: $(top_builddir)/scilab-bin test
1480         if test -d $(mydatadir)/tests; then \
1481           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1482         fi
1483 check-code:
1484         if test -f build.xml; then \
1485                 $(ANT) checkstyle; \
1486         fi
1487         if test -x "$(SPLINT)"; then \
1488                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1489         fi
1490 @NEED_JAVA_TRUE@java:
1491 # Some configurations needs to export JAVA_HOME in the current env
1492 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1493 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1494 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1495 @NEED_JAVA_TRUE@                $(ANT); \
1496 @NEED_JAVA_TRUE@        fi
1497
1498 @NEED_JAVA_TRUE@clean-java:
1499 # Some configurations needs to export JAVA_HOME in the current env
1500 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1501 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1502 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1503 @NEED_JAVA_TRUE@                $(ANT) clean; \
1504 @NEED_JAVA_TRUE@        fi;
1505
1506 # If the user request for the SWIG generation of the wrappers Java => C/C++
1507 # We call the target swig-build on the variable SWIG_WRAPPERS
1508
1509 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1510 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1511 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1512 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1513 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1514 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1515 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1516 @SWIG_TRUE@             done; \
1517 @SWIG_TRUE@     fi
1518
1519 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1520 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1521 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1522 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1523 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1524 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1525 @SWIG_TRUE@             done; \
1526 @SWIG_TRUE@     fi
1527
1528 # If the user request for the SWIG generation of the wrappers Java => C/C++
1529 # We call the target swig-build on the variable SWIG_WRAPPERS
1530
1531 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1532 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1533 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1534 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1535 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1536 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1537 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1538 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1539 @GIWS_TRUE@                     else \
1540 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1541 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1542 @GIWS_TRUE@                     fi \
1543 @GIWS_TRUE@             done; \
1544 @GIWS_TRUE@     fi
1545
1546 @GIWS_TRUE@giws-exception:
1547 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1548 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1549 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1550
1551 macros:
1552         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1553                 echo "Error : Cannot build $< : Scilab has not been built"; \
1554         else \
1555                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1556         fi)
1557
1558 # Removes the macros
1559 clean-macros:
1560 # Removes macros (*.bin generated from .sci)
1561         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1562                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1563                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1564         done
1565
1566 test:
1567 # More tests could be added here
1568         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1569         if test -f build.xml -a $$USEANT -eq 1; then \
1570                 $(ANT) test; \
1571         fi
1572
1573 all-local: $(TARGETS_ALL)
1574
1575 .sci.bin:
1576         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1577         echo "Error : Cannot build $< : Scilab has not been build"; \
1578         else \
1579         echo "Creating $@"; \
1580         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1581         fi )
1582
1583 install-html-local:
1584
1585 install-data-local-local:
1586 # Mainly for javasci
1587         @if test -d $(srcdir)/javadoc; then \
1588                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1589         fi
1590 # If the user wants the help sources to be installed
1591 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1592 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1593 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1594 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1595 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1596 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1597 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1598 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1599 @INSTALL_HELP_XML_TRUE@           done ; \
1600 @INSTALL_HELP_XML_TRUE@         fi; \
1601 @INSTALL_HELP_XML_TRUE@  fi; \
1602 @INSTALL_HELP_XML_TRUE@ done; \
1603 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1604 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1605 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1606 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1607 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1608 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1609 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1610 @INSTALL_HELP_XML_TRUE@           done ; \
1611 @INSTALL_HELP_XML_TRUE@         fi; \
1612 @INSTALL_HELP_XML_TRUE@ fi
1613 install-data-local:
1614 # Install the tests
1615         @echo "-------- Install tests (if any) --------"; \
1616         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1617           if test -d $(srcdir)/$$dir/; then \
1618             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1619                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1620                     if test -d "$(srcdir)/$$dir/$$file"; then \
1621                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1622                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1623                     else \
1624                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1625                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1626                     fi \
1627                   done; \
1628           fi; \
1629         done
1630 # Install the help chapter
1631         @echo "-------- Install the help chapter (if any) --------"; \
1632         for lang in $(HELP_CHAPTERLANG); do \
1633                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1634                 if test -f $$HELPFILE; then \
1635                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1636                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1637                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1638                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1639                 fi; \
1640         done
1641 # Install the demos & examples
1642         @echo "-------- Install demos & examples (if any) --------"; \
1643         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1644           if test -d $(srcdir)/$$dir/; then \
1645             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1646                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1647                     if test -d "$(srcdir)/$$dir/$$file"; then \
1648                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1649                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1650                     else \
1651                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1652                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1653                     fi \
1654                   done; \
1655           fi; \
1656         done
1657 # Install the macros
1658         @echo "-------- Install macros (if any) --------"; \
1659         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1660           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1661                 if test -d $(srcdir)/$$dir/; then \
1662                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1663                         if test -n "$(MACROSSPECIALEXT)"; then \
1664                                 specialExtDir=""; \
1665                                 for specialExt in $(MACROSSPECIALEXT); do \
1666                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1667                                 done; \
1668                                 FILELIST="$$FILELIST $$specialExtDir"; \
1669                         fi; \
1670                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1671                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1672                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1673                   done; \
1674                 fi; \
1675         done
1676 # Install java files (.jar)
1677         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1678         echo "-------- Install jar files --------"; \
1679     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1680           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1681                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1682                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1683           done ; \
1684         fi
1685
1686 ########### CLEAN ###################
1687 # Clean help (generated automatically by Scilab)
1688 # It used to clean the macro (clean-macros) but this was causing
1689 # make clean && make to fail Scilab startup
1690 @NEED_JAVA_TRUE@clean-local: clean-java
1691 @NEED_JAVA_FALSE@clean-local:
1692
1693 distclean-local:
1694         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1695
1696 .PHONY: macros java swig giws
1697
1698 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1699 # Otherwise a system limit (for SysV at least) may be exceeded.
1700 .NOEXPORT: